# Class MacHelpMenuFactory

java.lang.Object
jam.mac.MacHelpMenuFactory

All Implemented Interfaces:
  `MenuFactory`

public class MacHelpMenuFactory extends Object implements MenuFactory

Author:
  rambaut Date: Dec 26, 2004 Time: 11:04:02 AM

## Field Summary

### Fields inherited from interface MenuFactory

`CENTER, LEFT, RIGHT`

## Constructor Summary

Constructors
Constructor
Description
`MacHelpMenuFactory()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMenuName()`
Give the name of this menu.
`int`
`getPreferredAlignment()`
Returns the preferred alignment of the menu in the menu bar.
`void`
`populateMenu(JMenu menu, AbstractFrame frame)`
This method should populate the menu with menu items.

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MacHelpMenuFactory

public MacHelpMenuFactory()

## Method Details

### getMenuName

public String getMenuName()
Description copied from interface: `MenuFactory`
Give the name of this menu. If multiple MenuFactories are registered with the same name, then these will be appended into a single actual menu.

Specified by:
  `getMenuName` in interface `MenuFactory`

### populateMenu

public void populateMenu(JMenu menu, AbstractFrame frame)
Description copied from interface: `MenuFactory`
This method should populate the menu with menu items. Reference can be made to the frame in order to get Actions.

Specified by:
  `populateMenu` in interface `MenuFactory`
Parameters:
  `menu` -
  `frame` -

### getPreferredAlignment

public int getPreferredAlignment()
Description copied from interface: `MenuFactory`
Returns the preferred alignment of the menu in the menu bar. This should be one of MenuFactory.LEFT, MenuFactory.CENTER or MenuFactory.RIGHT.

Specified by:
  `getPreferredAlignment` in interface `MenuFactory`
Returns:
  the alignment